<?php

/**
  * Register Gallery Post Type
**/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'init', 'built_it_gallery_post_type' );
function built_it_gallery_post_type() {
	$labels = array(
		'name'               => _x( 'Built It Gallery', 'Gallery', 'built-it' ),
		'singular_name'      => _x( 'Built It Gallery', 'Gallery', 'built-it' ),
		'menu_name'          => _x( 'Built It Gallery', 'admin menu', 'built-it' ),
		'name_admin_bar'     => _x( 'Built It Gallery', 'add new on admin bar', 'built-it' ),
		'add_new'            => _x( 'Add New', 'Gallery', 'built-it' ),
		'add_new_item'       => __( 'Add New Gallery', 'built-it' ),
		'new_item'           => __( 'New Gallery', 'built-it' ),
		'edit_item'          => __( 'Edit Gallery', 'built-it' ),
		'view_item'          => __( 'View Gallery', 'built-it' ),
		'all_items'          => __( 'All Gallery', 'built-it' ),
		'search_items'       => __( 'Search Gallery', 'built-it' ),
		'parent_item_colon'  => __( 'Parent Gallery:', 'built-it' ),
		'not_found'          => __( 'No Gallery found.', 'built-it' ),
		'not_found_in_trash' => __( 'No Gallery found in Trash.', 'built-it' )
	);

	$args = array(
		'labels'             => $labels,
        'description'        => __( 'Description.', 'built-it' ),
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'built_it_gallery' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'show_in_rest' 		 => true,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'thumbnail' ),
		'menu_icon'			 => 'dashicons-format-gallery'	
	);
	register_post_type( 'built_it_gallery', $args );
}

add_action( 'init', 'built_it_gallery_taxonomy', 0 );
function built_it_gallery_taxonomy() {
	register_taxonomy(
		'gallery_cat',
		'built_it_gallery',
		array(
			'label' => __( 'Category', 'built-it' ),
			'rewrite' => array( 'slug' => 'gallery_cat' ),
			'hierarchical' => true,
			'show_in_rest' => true,
		)
	);
}