<?php 
 /**
* Accordion 
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 

	 vc_map( array(
		"name" => esc_html__( "Accordion", "built-it" ),
		"base" => "builtit_accordion",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"as_parent" => array("only" => "builtit_accordion_item"),
		"icon"	 => esc_url($icon_path.'/accordian.png'), 
		"js_view" => "VcColumnView", 
		"params" => array( 
				array(
					"type" => "dropdown", 
                    "heading" => esc_html__( "Accordion View Style", "built-it" ),
                    "param_name" => "builtit_accordionac_style",
                    "value" => array( 
						esc_html__( "Style 1", "built-it" ) => "builtit-accordion-style1",
                        esc_html__( "Style 2", "built-it" ) => "builtit-accordion-style2",
						esc_html__( "Style 3", "built-it" ) => "builtit-accordion-style3",
						esc_html__( "Style 4", "built-it" ) => "builtit-accordion-style4",
                    ), 
				),  
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => esc_html__("Select Icon", "built-it"),
					"param_name" => "builtit_accordion_icon",
					"dependency" => array(
		                "element" => "builtit_accordionac_style", 
						"value" => "builtit-accordion-style2",
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Active Tab Color", "built-it"),
					"param_name" => "builtit_accordion_act_color",
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Active Tab Text Color", "built-it"),
					"param_name" => "builtit_accordion_act_tcolor", 
				), 
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Active Tab Icon Color", "built-it"),
					"param_name" => "builtit_accordion_act_ic_color",
					"dependency" => array(
		                "element" => "builtit_accordionac_style", 
						"value" => array(
							"builtit-accordion-style2",
							"builtit-accordion-style3",
							"builtit-accordion-style4",
						)
	                ),	
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Active Tab Icon Background Color", "built-it"),
					"param_name" => "builtit_accordion_act_ic_bg",
					"dependency" => array(
		                "element" => "builtit_accordionac_style", 
						"value" => array(
							"builtit-accordion-style2",
							"builtit-accordion-style4",
						)
	                ),					
				), 
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Inactive Tab Icon Color", "built-it"),
					"param_name" => "builtit_accordion_incct_ic_color",
					"dependency" => array(
		                "element" => "builtit_accordionac_style", 
						"value" => array(
							"builtit-accordion-style2",
							"builtit-accordion-style3",
							"builtit-accordion-style4",
						)
	                ),	
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Inactive Tab Icon Background Color", "built-it"),
					"param_name" => "builtit_accordion_incct_ic_bg",
					"dependency" => array(
		                "element" => "builtit_accordionac_style", 
						"value" => array(
							"builtit-accordion-style2",
							"builtit-accordion-style4",
						)
	                ),					
				), 
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Border", "built-it"),
					"param_name" => "builtit_accordion_border",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_accordion_bcolor",					
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_accordion_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
				),  
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_accordion_br",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_accordionac_style", 
						"value" => array(
							"builtit-accordion-style1",
							"builtit-accordion-style3",
							"builtit-accordion-style4",
						)
	                ),
				),
				array(  
					"type" => "textfield",
					"value" => "15px", 
					"heading" => esc_html__("Space Between Items", "built-it"),
					"param_name" => "builtit_accordion_space",
				),
				array(  
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_accordion_shw",
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
					"edit_field_class" => "vc_col-xs-12",	
				),
		    ),
	    )   
	);
	
	vc_map( array( 
		"name" => esc_html__( "Accordion Item", "built-it" ),
		"base" => "builtit_accordion_item",
		"content_element" => true,
		"category" => esc_html__("builtit Shortcodes","built-it"), 
		"as_child" => array("only" => "builtit_accordion"),
		"icon"	 => esc_url($icon_path.'/accordian.png'), 
		"params" => array(  
				array(
					"type" => "textfield", 
					"value" =>"", 
					"heading" => esc_html__("Accordion Tittle", "built-it"),
					"param_name" => "builtit_accordion_tittle",
					"edit_field_class" => "vc_col-xs-12",	
				), 
				array(
					"type" => "textarea",
					"value" =>"", 
					"heading" => esc_html__("Accordion Text", "built-it"),
					"param_name" => "builtit_accordion_text",
					"edit_field_class" => "vc_col-xs-12",	
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Active", "built-it"),
					"param_name" => "builtit_accordion_active",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				), 
		    ),
	    ) 
	);
	
	if ( class_exists( "WPBakeryShortCodesContainer" ) ) {
		class WPBakeryShortCode_builtit_accordion extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( "WPBakeryShortCode" ) ) {
		class WPBakeryShortCode_builtit_accordion_item extends WPBakeryShortCode {
		}
	}