<?php 
/**
* Blog
**/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 

$post_cats = get_categories();
	$categories["All"] = "all";
	foreach( $post_cats as $cat ){
		$categories[$cat->name] = $cat->slug;
	}
	
	 vc_map( array(
		"name" => esc_html__( "Blog", "built-it" ),
		"base" => "builtit_blog", 
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/blog.png'),
		"params" => array(
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select View Style", "built-it" ),
                    "param_name" => "builtit_blog_style",
                    "value" => array( 
						esc_html__( "Grid", "built-it" ) => "grid",
						esc_html__( "List", "built-it" ) => "list",
						esc_html__( "Slider", "built-it" ) => "slider",
                    ),	 
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Style", "built-it" ),
                    "param_name" => "builtit_blog_style_v",
                    "value" => array( 
						esc_html__( "style 1", "built-it" ) => "builtit-blog-style1",
						esc_html__( "style 2", "built-it" ) => "builtit-blog-style2",
						esc_html__( "style 3", "built-it" ) => "builtit-blog-style3",
                    ),	 
				),
				array(
					"type" => "textfield",
					"value" =>"4", 
					"heading" => esc_html__("Number Of Post ", "built-it"),
					"param_name" => "builtit_blog_post",
				),
				array(
					"type" => "textfield",
					"value" =>"4", 
					"heading" => esc_html__("Number Of Offset Post ", "built-it"),
					"param_name" => "builtit_blog_post_offset",
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Columns", "built-it" ),
                    "param_name" => "builtit_blog_columns",
                    "value" => array( 
						esc_html__( "1 Columns", "built-it" ) => "1",
						esc_html__( "2 Columns", "built-it" ) => "2",
						esc_html__( "3 Columns", "built-it" ) => "3",
						esc_html__( "4 Columns", "built-it" ) => "4",
                    ),	
				),
				array(
					"type" => "dropdown_multi",
					"heading" => esc_html__("Categories","built-it"),
					"param_name" => "builtit_blog_categories",
					"value" => $categories
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Order by","built-it"),
					"param_name" => "builtit_blog_order_by",
					"value" => array( 
						esc_html__( "ID", "built-it" ) => "id",
						esc_html__( "Title", "built-it" ) => "title",
						esc_html__( "Date", "built-it" ) => "date",
						esc_html__( "Random", "built-it" ) => "rand",
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Sort order","built-it"),
					"param_name" => "builtit_blog_sorting",
					"value" => array( 
						esc_html__( "Ascending", "built-it" ) => "ASC",
						esc_html__( "Descending", "built-it" ) => "DESC",
					),
					"std"	=> "DESC"
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Text Color", "built-it"),
					"param_name" => "builtit_blog_t_color",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_blog_ic_color",
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Additional Color", "built-it"),
					"param_name" => "builtit_blog_ad_color",
				),
				array(
					"type" => "textfield",
					"value" =>"4", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Navigation", "built-it" ),
                    "param_name" => "builtit_blog_nav",
					"group" => esc_html__("Slider Style", "built-it"),
                    "value" => array(  
                        esc_html__( "None", "built-it" ) => "",
                        esc_html__( "Arrows", "built-it" ) => "arrows",
						esc_html__( "Bullets", "built-it" ) => "bullets",
                    ),
					"dependency" => array(
		                "element" => "builtit_blog_style",
						"value" =>"slider",
	                ),					
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Autoplay ", "built-it"),
					"group" => esc_html__("Slider Style", "built-it"),
					"param_name" => "builtit_blog_autoplay",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_blog_style",
						"value" =>"slider",
	                ),	
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Loop ", "built-it"),
					"group" => esc_html__("Slider Style", "built-it"),
					"param_name" => "builtit_blog_loop",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_blog_style", 
						"value" =>"slider", 
	                ),	
				),
				array(
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Delay ", "built-it"),
					"param_name" => "builtit_blog_speed", 
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_blog_autoplay", 
						"value" =>"true", 
	                ),	
				),
				array(
					"type" => "colorpicker", 
					"value" =>"", 
					"heading" => esc_html__("Active Bullet Color", "built-it"),
					"param_name" => "builtit_blog_ac_bullet",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_blog_style",						
						"value" =>"bullets",
	                ), 
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Inactive Bullet Color", "built-it"),
					"param_name" => "builtit_blog_inac_bullet",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_blog_nav",						
						"value" =>"bullets",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Color", "built-it"),
					"param_name" => "builtit_blog_arro_color",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_blog_nav",						
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Background Color", "built-it"),
					"param_name" => "builtit_blog_arro_bg",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_blog_nav",						
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Hover Color", "built-it"),
					"param_name" => "builtit_blog_arro_hcolor",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_blog_nav",			 			
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Hover Background Color", "built-it"),
					"param_name" => "builtit_blog_arro_hbg",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_blog_nav",						
						"value" =>"arrows", 
	                ),	  
				),
				array(
					"type" => "checkbox",
					"group" => esc_html__("Post Meta", "built-it"),
					"heading" => esc_html__( "Thumbnail Image", "built-it" ),
					"description" => esc_html__( "Enable image of the post.", "built-it" ),
					"param_name" => "builtit_blog_thumb",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"std" => "true",
				),
				array(
					"type" => "checkbox",
					"group" => esc_html__("Post Meta", "built-it"),
					"heading" => esc_html__( "Show Categories", "built-it" ),
					"description" => esc_html__( "Enable image of the post.", "built-it" ),
					"param_name" => "builtit_blog_cat_s",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "checkbox",
					"group" => esc_html__("Post Meta", "built-it"),
					"heading" => __( "Date", "built-it" ),
					"description" => __( "Enable date of the post.", "built-it" ),
					"param_name" => "builtit_blog_date",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "checkbox",
					"group" => esc_html__("Post Meta", "built-it"),
					"heading" => esc_html__( "Author", "built-it" ),
					"description" => esc_html__( "Enable author name of the post.", "built-it" ),
					"param_name" => "builtit_blog_author",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "checkbox",
					"group" => esc_html__("Post Meta", "built-it"),
					"heading" => esc_html__( "Comments", "built-it" ),
					"description" => esc_html__( "Enable comments number of the post.", "built-it" ),
					"param_name" => "builtit_blog_comments",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "checkbox",
					"group" => esc_html__("Post Meta", "built-it"),
					"heading" => esc_html__( "Short Description", "built-it" ),
					"description" => esc_html__( "Enable short description of the post.", "built-it" ),
					"param_name" => "builtit_blog_short_des",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "checkbox",
					"group" => esc_html__("Post Meta", "built-it"),
					"heading" => esc_html__( "Read More Button", "built-it" ),
					"description" => esc_html__( "Enable read more link of the post.", "built-it" ),
					"param_name" => "builtit_blog_btn",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
		    ),
	    ) 
	);