<?php 
/**
* Button
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 

	 vc_map( array(
		"name" => esc_html__( "Button", "built-it" ),
		"base" => "builtit_button",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/button.png'),
		"params" => array(
				array(
					"type" => "dropdown",
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Button Style", "built-it" ),
                    "param_name" => "builtit_btn_style",
                    "value" => array( 
                        esc_html__( "Default", "built-it" ) => "builtit-btn-default",
                        esc_html__( "Button Style 1", "built-it" ) => "builtit-btn-style1", 
						esc_html__( "Button Style 2", "built-it" ) => "builtit-btn-style2",
						esc_html__( "Button Style 3", "built-it" ) => "builtit-btn-style3",
						esc_html__( "Button Style 4", "built-it" ) => "builtit-btn-style4", 
                    ),
					"edit_field_class" => "vc_col-xs-6",		
				),
			    array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Button Title", "built-it"),
					"param_name" => "builtit_button_tittle",
					"edit_field_class" => "vc_col-xs-6",
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Open Link In New Tab?", "built-it"),
					"param_name" => "builtit_open_new_tab",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Link URL", "built-it"),
					"param_name" => "builtit_btn_url",
					"description" => esc_html__("The link for your button." , "built-it") 
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Circle Position", "built-it" ),
                    "param_name" => "builtit_cir_position",
                    "value" => array( 
                        esc_html__( "Left", "built-it" ) => "text-left",
						esc_html__( "Center", "built-it" ) => "text-center",
						esc_html__( "Right", "built-it" ) => "text-right",
                    ),
					"dependency" => array(
		                "element" => "builtit_btn_style",
						"value" =>"builtit-btn-style1", 
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Heading Font Size", "built-it"),
					"param_name" => "builtit_btn_font",
					"group" => esc_html__("Button Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here." , "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Heading Line Height", "built-it"),
					"param_name" => "builtit_btn_line",
					"group" => esc_html__("Button Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here." , "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Text Color", "built-it"),
					"param_name" => "builtit_btn_color",
					"group" => esc_html__("Button Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Background Color", "built-it"),
					"param_name" => "builtit_btn_bg", 
					"group" => esc_html__("Button Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"5px 5px 0px 0px rgb(253 150 120 / 30%)", 
					"heading" => esc_html__("Button Hover Box-shadow", "built-it"),
					"param_name" => "builtit_btn_shadow",
					"group" => esc_html__("Button Style", "built-it"),
					"description" => esc_html__("You can change default values according to your need." , "built-it"),
					"dependency" => array(
		                "element" => "builtit_btn_style",
						"value" =>"builtit-btn-default", 
	                ),					
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Button Border", "built-it"),
					"param_name" => "builtit_btn_border",
					"group" => esc_html__("Button Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px. Please don't add comma(,) between the values, always keep empty space in between them. Using this you can manage your button size." , "built-it"),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_cir_border_style",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ),
					"group" => esc_html__("Button Style", "built-it"),
				), 
								
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Border Color", "built-it"),
					"param_name" => "builtit_border_color",
					"group" => esc_html__("Button Style", "built-it"),
				),
				array(
					"type" => "textfield", 
					"value" =>"", 
					"heading" => esc_html__("Button Border Radius", "built-it"),
					"param_name" => "builtit_btn_border_r",
					"group" => esc_html__("Button Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px. Please don't add comma(,) between the values, always keep empty space in between them. Using this you can manage your button size." , "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Button Padding", "built-it"),
					"param_name" => "builtit_btn_padding",
					"group" => esc_html__("Button Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px. Please don't add comma(,) between the values, always keep empty space in between them. Using this you can manage your button size." , "built-it"),
				),
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => __("Select Icon", "built-it"),
					"param_name" => "builtit_button_icon",
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Icon Position", "built-it" ),
                    "param_name" => "builtit_icon_position",
                    "value" => array( 
                        esc_html__( "Left", "built-it" ) => "builtit-btn-icon-left",
						esc_html__( "Right", "built-it" ) => "builtit-btn-icon-right",
                    ),
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Icon Size", "built-it"),
					"param_name" => "builtit_icon_size",
					"group" => esc_html__("Icon Style", "built-it"),
					"description" => esc_html__("Enter numeric value here." , "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_icon_color",
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Hover", "built-it"),
					"param_name" => "builtit_btn_hover",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Hover", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Color", "built-it"),
					"param_name" => "builtit_icon_h_color",
					"group" => esc_html__("Hover", "built-it"),
					"dependency" => array(
		                "element" => "builtit_btn_hover",
						"value" =>"true", 
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Hover Background Color", "built-it"),
					"param_name" => "builtit_btn_h_bg",
					"group" => esc_html__("Hover", "built-it"),
					"dependency" => array(
		                "element" => "builtit_btn_hover",
						"value" =>"true", 
	                ),
				),
				array(
					"type" => "colorpicker", 
					"value" =>"", 
					"heading" => esc_html__("Button Border Hover Color", "built-it"),
					"param_name" => "builtit_border_hcolor",
					"group" => esc_html__("Hover", "built-it"),
					"dependency" => array(
		                "element" => "builtit_btn_hover",
						"value" =>"true", 
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Hover Text Color", "built-it"),
					"param_name" => "builtit_btn_h_color",
					"group" => esc_html__("Hover", "built-it"),
					"dependency" => array(
		                "element" => "builtit_btn_hover",
						"value" =>"true", 
	                ),
				), 
		    ),
	    ) 
	);