<?php 
/**
* Categories
**/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 

	 vc_map( array(
		"name" => esc_html__( "Categories", "built-it" ),
		"base" => "builtit_categories",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/category.png'),
		"params" => array(
				array(
					"type" => "dropdown", 
                    "heading" => esc_html__( "Select Style", "built-it" ),
                    "param_name" => "builtit_cate_style",
                    "value" => array(  
						esc_html__( "Style 1", "built-it" ) => "builtit-category-style1",
						esc_html__( "Style 2", "built-it" ) => "builtit-category-style2",
						esc_html__( "Style 3", "built-it" ) => "builtit-category-overlap",
						esc_html__( "Style 4", "built-it" ) => "builtit-category-overlay", 
                    ),	 
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Style", "built-it" ),
                    "param_name" => "builtit_cate_view",
                    "value" => array( 
						esc_html__( "Grid", "built-it" ) => "grid",
						esc_html__( "Slider", "built-it" ) => "slider",
                    ),	 
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Columns", "built-it" ),
                    "param_name" => "builtit_cate_columns",
                    "value" => array( 
						esc_html__( "3 Columns", "built-it" ) => "3",
						esc_html__( "4 Columns", "built-it" ) => "4",
						esc_html__( "5 Columns", "built-it" ) => "5",
                    ),	
				),
				array(
					"type" => "textfield",
					"value" =>"4", 
					"heading" => esc_html__("Category Ids ", "built-it"),
					"param_name" => "builtit_cate_id",
					"description" => esc_html__("Enter the category ID here. Separating by comma(,), you can add multiple IDs. To find the category ID, click on any of the categories and find the tag_id in the URL."),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Text Color", "built-it"),
					"param_name" => "builtit_cate_t_color",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Text Background Color", "built-it"),
					"param_name" => "builtit_cate_t_bgcolor",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Color", "built-it"),
					"param_name" => "builtit_cate_box_color",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Overlap Color", "built-it"),
					"param_name" => "builtit_cate_over_color",
					"dependency" => array( 
		                "element" => "builtit_cate_style", 
		                "value" => array( 
							"builtit-category-overlap", 
							"builtit-category-overlay",
						)
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Border", "built-it"),
					"param_name" => "builtit_cate_border",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_cate_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ),
				), 		
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_cate_bcolor",					
				),
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_cate_br",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(  
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_cate_shw",
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
				),
				array(   
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Padding", "built-it"),
					"param_name" => "builtit_cate_padd",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(  
		                "element" => "builtit_cate_style", 
						"value" => array( 
							"builtit-category-style1", 
							"builtit-category-style2",
						)
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				  ),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Navigation", "built-it" ),
                    "param_name" => "builtit_cate_nav",
					"group" => esc_html__("Slider Style", "built-it"),
                    "value" => array(  
                        esc_html__( "None", "built-it" ) => "",
                        esc_html__( "Arrows", "built-it" ) => "arrows",
						esc_html__( "Bullets", "built-it" ) => "bullets",
                    ),
					"dependency" => array(
		                "element" => "builtit_cate_view",
						"value" =>"slider",
	                ),					
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Autoplay ", "built-it"),
					"group" => esc_html__("Slider Style", "built-it"),
					"param_name" => "builtit_cate_autoplay",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_cate_view",
						"value" =>"slider",
	                ),	
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Loop ", "built-it"),
					"group" => esc_html__("Slider Style", "built-it"),
					"param_name" => "builtit_cate_loop",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_cate_view", 
						"value" =>"slider",
	                ),	
				),
				array(
					"type" => "colorpicker", 
					"value" =>"", 
					"heading" => esc_html__("Active Bullet Color", "built-it"),
					"param_name" => "builtit_cate_ac_bullet",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_cate_view",						
						"value" =>"bullets",
	                ), 
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Inactive Bullet Color", "built-it"),
					"param_name" => "builtit_cate_inac_bullet",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_cate_nav",						
						"value" =>"bullets",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Color", "built-it"),
					"param_name" => "builtit_cate_arro_color",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_cate_nav",						
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Background Color", "built-it"),
					"param_name" => "builtit_cate_arro_bg",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_cate_nav",						
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Hover Color", "built-it"),
					"param_name" => "builtit_cate_arro_hcolor",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_cate_nav",						
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Hover Background Color", "built-it"),
					"param_name" => "builtit_cate_arro_hbg",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_cate_nav",						
						"value" =>"arrows", 
	                ),	  
				),
		    ),
	    ) 
	);