<?php 
/**
* Countdown Timer 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
 
	 vc_map( array(
		"name" => esc_html__( "Countdown Timer", "built-it" ),
		"base" => "builtit_count_timer",
		"category" => esc_html__("Built It Shortcodes","built-it"),
		"icon"	 => esc_url($icon_path.'/countdown.png'),
		"params" => array(
				array( 
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Countdown Timer Style", "built-it" ),
                    "param_name" => "builtit_count_timer_style",  
                    "value" => array(  
                        esc_html__( "Style 1", "built-it" ) => "builtit-count-timer-style1",
                        esc_html__( "Style 2", "built-it" ) => "builtit-count-timer-style2",
						esc_html__( "Style 3", "built-it" ) => "builtit-count-timer-style3",
						esc_html__( "Style 4", "built-it" ) => "builtit-count-timer-style4",
						esc_html__( "Style 5", "built-it" ) => "builtit-count-timer-style5",
						esc_html__( "Style 5", "built-it" ) => "builtit-count-timer-style6",
					),
				),
				array(
					"type" => "textfield",
					"heading" => __("Select Date","built-it"),
					"param_name" => "builtit_count_timer_date",
					"description" => esc_html__("Use Date Format : October 23, 2021"),
				),
				array( 
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Title Color", "built-it"),
					"param_name" => "builtit_count_timer_tittle_c",
					"group" => esc_html__("Title Style", "built-it"),
				),		
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Title Background Color", "built-it"),
					"param_name" => "builtit_count_timer_tittle_bg",
					"group" => esc_html__("Title Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style3",
						),
	                ),
				),	
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Border", "built-it"),
					"param_name" => "builtit_count_timer_tittle_border",
					"group" => esc_html__("Title Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style3",
						),
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_count_timer_tittle_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ),
					"group" => esc_html__("Title Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style3",
						),
	                ),
				), 		
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_count_timer_tittle_bcolor",					
					"group" => esc_html__("Title Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style3",
						),
	                ),
				),
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_count_timer_tittle_br",
					"group" => esc_html__("Title Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style3",
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Number Color", "built-it"),
					"param_name" => "builtit_count_timer_number_c",
					"group" => esc_html__("Number Style", "built-it"),
				),	
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Number Background Color", "built-it"),
					"param_name" => "builtit_count_timer_number_bg",
					"group" => "Number Style",
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style4",
						),
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Border", "built-it"),
					"param_name" => "builtit_count_timer_number_border",
					"group" => esc_html__("Number Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style4",
						),
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_count_timer_number_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ),
					"group" => esc_html__("Number Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style4",
						),
	                ),
				), 				
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_count_timer_number_bcolor",					
					"group" => esc_html__("Number Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style4",
						),
	                ),
				),
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_count_timer_number_br",
					"group" => esc_html__("Number Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style4",
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Background Color", "built-it"),
					"param_name" => "builtit_count_timer_box_bg",
					"group" => esc_html__("Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style2",
						),
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Border", "built-it"),
					"param_name" => "builtit_count_timer_box_border",
					"group" => esc_html__("Box Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style2",
							"builtit-count-timer-style6",
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_count_timer_bcolor",					
					"group" => esc_html__("Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style2",
							"builtit-count-timer-style6",
						),
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_count_timer_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
					"group" => esc_html__("Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style2",
							"builtit-count-timer-style6",
						),
	                ),
				), 
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_count_timer_box_br",
					"group" => esc_html__("Box Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style2",
						),
	                ),
				),
				array(  
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_count_timer_box_shw",
					"group" => esc_html__("Box Style", "built-it"),
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
					"dependency" => array(
		                "element" => "builtit_count_timer_style", 
						"value" =>  array(
							"builtit-count-timer-style2", 
						),
	                ),
				),
			),
	    ) 
	);
	