<?php 
/**
* Counter
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Counter", "built-it" ),
		"base" => "builtit_counter",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"as_parent" => array("only" => "builtit_counter_item"),
		"icon"	 => esc_url($icon_path.'/counter.png'),
		"js_view" => "VcColumnView",
		"params" => array(
				array(  
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Counter Style", "built-it" ),
                    "param_name" => "builtit_counter_style",  
                    "value" => array( 
                        esc_html__( "Style 1", "built-it" ) => "builtit-counter-style1",
                        esc_html__( "Style 2", "built-it" ) => "builtit-counter-style2", 
						esc_html__( "Style 3", "built-it" ) => "builtit-counter-style3",
						esc_html__( "Style 4", "built-it" ) => "builtit-counter-style4",
						esc_html__( "Style 5", "built-it" ) => "builtit-counter-style5",
					),
				),
				array( 
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Columns", "built-it" ),
                    "param_name" => "builtit_counter_columns",  
                    "value" => array( 
                        esc_html__( "2 Columns", "built-it" ) => "columns2",
                        esc_html__( "3 Columns", "built-it" ) => "columns3",
						esc_html__( "4 Columns", "built-it" ) => "columns4",
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tittle Color", "built-it"),
					"param_name" => "builtit_counter_tittle_color",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tittle Background Color", "built-it"),
					"param_name" => "builtit_counter_tittle_bgcolor",
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style1",
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Number Color", "built-it"),
					"param_name" => "builtit_counter_number_color",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Symbol Color", "built-it"),
					"param_name" => "builtit_counter_symbol_color",
				),
				array(
					"type" => "colorpicker", 
					"value" =>"", 
					"heading" => esc_html__("Extra Color", "built-it"),
					"param_name" => "builtit_counter_extra_color",
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style5",
						),
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Icon Font Size", "built-it"),
					"param_name" => "builtit_counter_ic_font",
					"description" => esc_html__("Enter numeric value here."),
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style2",
							"builtit-counter-style3", 
							"builtit-counter-style4",
							"builtit-counter-style5",
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_counter_ic_color",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style2",
							"builtit-counter-style3", 
							"builtit-counter-style4",
							"builtit-counter-style5",
						),
	                ),
				),
				
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Second Icon Color", "built-it"),
					"param_name" => "builtit_counter_sicon_color",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style3",
							"builtit-counter-style4",  
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Background Color", "built-it"),
					"param_name" => "builtit_counter_icon_bgcolor",
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style3",
							"builtit-counter-style4",  
						),
	                ),
					"group" => esc_html__("Icon Style", "built-it"),
				),
				
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Icon Border", "built-it"),
					"param_name" => "builtit_counter_icon_border",
					"group" => esc_html__("Icon Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style3",
							"builtit-counter-style4",  
						),
	                ),
				),					
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Border Color", "built-it"),
					"param_name" => "builtit_counter_icon_color",					
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style3",
							"builtit-counter-style4",  
						),
	                ),
				), 
				array(
					"type" => "textfield",  
					"value" =>"",  
					"heading" => esc_html__("Icon Border Radius", "built-it"),
					"param_name" => "builtit_counter_icon_r",
					"group" => esc_html__("Icon Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style3",
							"builtit-counter-style4",  
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Background Color", "built-it"),
					"param_name" => "builtit_counter_box_color",
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style2",
							"builtit-counter-style3",
							"builtit-counter-style5",
						),
	                ),
					"group" => esc_html__("Box Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Border", "built-it"),
					"param_name" => "builtit_counter_box_border",
					"group" => esc_html__("Box Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style2",
							"builtit-counter-style3",
							"builtit-counter-style5",
						),
	                ),
				),					
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Border Color", "built-it"),
					"param_name" => "builtit_counter_box_bcolor",					
					"group" => esc_html__("Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style2",
							"builtit-counter-style3",
							"builtit-counter-style5",
						),
	                ),
				),
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Box Border Radius", "built-it"),
					"param_name" => "builtit_counter_box_r",
					"group" => esc_html__("Box Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style2",
							"builtit-counter-style3",
							"builtit-counter-style5",
						),
	                ),
				),
				array(
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_counter_box_shw",
					"group" => esc_html__("Box Style", "built-it"),
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
					"dependency" => array(
		                "element" => "builtit_counter_style", 
						"value" =>  array(
							"builtit-counter-style2",
							"builtit-counter-style3",
							"builtit-counter-style5",
						),
	                ),
				),
			),
	    ) 
	);
	 vc_map( array(
		"name" => esc_html__( "Counter", "built-it" ),
		"base" => "builtit_counter_item",
		"category" => esc_html__("Built It Shortcodes","built-it"),
		"as_child" => array("only" => "builtit_counter"),	  
		"icon"	 => esc_url($icon_path.'/counter.png'),  
		"params" => array( 
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => esc_html__("Select Icon", "built-it"),
					"param_name" => "builtit_counter_icon",
					"description" => esc_html__("Icon Not Available For Counter Style 1 "),
				), 
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Number", "built-it"),
					"param_name" => "builtit_counter_number",
					"description" => esc_html__("Enter numeric value here."),
				),
				array( 
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Tittle", "built-it"),
					"param_name" => "builtit_counter_tittle",
				),
				array( 
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Symbol", "built-it"),
					"param_name" => "builtit_counter_symbol",
					"description" => esc_html__("You can add some extra sign like +,% etc."),
				),
		    ), 
	    ) 
	);
	
	if ( class_exists( "WPBakeryShortCodesContainer" ) ) {
		class WPBakeryShortCode_builtit_counter extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( "WPBakeryShortCode" ) ) {
		class WPBakeryShortCode_builtit_counter_item extends WPBakeryShortCode {
		}
	}
	