<?php 
/**
* Features 
*/ 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Features Box", "built-it" ),
		"base" => "builtit_features",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/features.png'),
		"params" => array(
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Feature Style", "built-it" ),
                    "param_name" => "builtit_features_style",
                    "value" => array( 
                        esc_html__( "Feature Style 1", "built-it" ) => "",
                        esc_html__( "Feature Style 2", "built-it" ) => "builtit-feature-style2",
						esc_html__( "Feature Style 3", "built-it" ) => "builtit-feature-style3",
						esc_html__( "Feature Style 4", "built-it" ) => "builtit-feature-style4",
                    ),	
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Icon or Image", "built-it" ),
                    "param_name" => "builtit_features_type", 
                    "value" => array( 
                        esc_html__( "Icon", "built-it" ) => "icon",
                        esc_html__( "Image", "built-it" ) => "image",
                    ),
				),
				array(
					"type" => "attach_image", 
					"value" =>"", 
					"heading" => esc_html__("Image", "built-it"),
					"param_name" => "builtit_features_img",
					"dependency" => array(
		                "element" => "builtit_features_type",
						"value" =>"image",
	                ),
				),
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => __("Select Icon", "built-it"),
					"param_name" => "builtit_features_icon",
					"dependency" => array(
		                "element" => "builtit_features_type",
						"value" =>"icon",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Tittle", "built-it"),
					"param_name" => "builtit_features_tittle",
				), 
				array(
					"type" => "textarea",
					"value" =>"", 
					"heading" => esc_html__("Description", "built-it"),
					"param_name" => "builtit_features_des",
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Button", "built-it"),
					"param_name" => "builtit_features_show",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Button Tittle", "built-it"),
					"param_name" => "builtit_features_btn_tittle",
					"dependency" => array(
		                "element" => "builtit_features_show",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Button Url", "built-it"),
					"param_name" => "builtit_features_btn_url",
					"dependency" => array(
		                "element" => "builtit_features_show",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Open In New Tab? ", "built-it"),
					"param_name" => "builtit_features_tab",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_features_show",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tittle Color", "built-it"),
					"param_name" => "builtit_features_tittle_color",
					"group" => esc_html__("Features Box Style", "built-it"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Gradient ", "built-it"),
					"param_name" => "builtit_features_gradient",
					"group" => esc_html__("Features Box Style", "built-it"),
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_features_style",
						"value" =>"builtit-feature-style4",
	                ),
				),
				
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Background Color", "built-it"),
					"param_name" => "builtit_features_bg_one",
					"group" => esc_html__("Features Box Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Background Color 2", "built-it"),
					"param_name" => "builtit_features_bg_two", 
					"group" => esc_html__("Features Box Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"dependency" => array(
		                "element" => "builtit_features_gradient",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Description Color", "built-it"),
					"param_name" => "builtit_features_dec_color",
					"group" => esc_html__("Features Box Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Additional Color", "built-it"),
					"param_name" => "builtit_features_ad_color",
					"group" => esc_html__("Features Box Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Image Background Color", "built-it"),
					"param_name" => "builtit_features_img_bg",
					"group" => esc_html__("Image Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_type",
						"value" =>"image",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Image Hover Background Color", "built-it"),
					"param_name" => "builtit_features_img_hbg",
					"group" => esc_html__("Image Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_type",
						"value" =>"image",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Icon Font Size", "built-it"),
					"param_name" => "builtit_features_icon_font",
					"group" => esc_html__("Icon Style", "built-it"),
					"description" => esc_html__("Please enter number if you need custom size (Ex: 20,30). This size will be in Pixel automatically."),
					"dependency" => array(
		                "element" => "builtit_features_type",
						"value" =>"icon", 
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_features_icon_color",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_type",
						"value" =>"icon",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Color", "built-it"),
					"param_name" => "builtit_features_icon_hcolor",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_type",
						"value" =>"icon",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Text Color", "built-it"),
					"param_name" => "builtit_features_btnt_color",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_show",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Background Color", "built-it"),
					"param_name" => "builtit_features_btnbg_color",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_show",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Hover Text Color", "built-it"),
					"param_name" => "builtit_features_btn_ht_color",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_show",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Hover Background Color", "built-it"),
					"param_name" => "builtit_features_btn_hbg_color",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_show",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Button Hover Box-Shadow ", "built-it"),
					"param_name" => "builtit_features_btn_hbs",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_features_show",
						"value" =>"true",
	                ),
				),
				
		    ),
	    ) 
	);