<?php 
/**
* Heading
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Heading", "built-it" ),
		"base" => "builtit_heading",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/heading.png'),
		"params" => array(
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Heading Style", "built-it" ),
                    "param_name" => "builtit_h_style",
                    "value" => array(
                        esc_html__( "Style 1", "built-it" ) => "builtit-style1",
                        esc_html__( "Style 2", "built-it" ) => "builtit-style2", 
						esc_html__( "Style 3", "built-it" ) => "builtit-style3",
                    ),
				),
			    array(
					"type" => "textarea_raw_html",
					"value" =>"", 
					"heading" => esc_html__("Heading", "built-it"),
					"param_name" => "builtit_heading",
					"description" => esc_html__("If you want to show some words in different color style then you can wrap those words between <span> tag. For example <span>Hello Worlds</span>"),
				),
				  array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Span Color", "built-it"),
					"param_name" => "builtit_span_color",
				),
				 array( 
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Sub Heading", "built-it"),
					"param_name" => "builtit_sub_heading"
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Alignment", "built-it" ),
                    "param_name" => "builtit_alignment",
                    "value" => array(
                        esc_html__( "Left", "built-it" ) => "text-left",
                        esc_html__( "Center", "built-it" ) => "text-center", 
						esc_html__( "Right", "built-it" ) => "text-right",
                    ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Divder", "built-it" ),
                    "param_name" => "builtit_h_divider",
                    "value" => array(
                        esc_html__( "None", "built-it" ) => "",
                        esc_html__( "Left", "built-it" ) => "builtit-left", 
						esc_html__( "Right", "built-it" ) => "builtit-right",
						esc_html__( "Bottom", "built-it" ) => "builtit-bottom",
						esc_html__( "Horizontal Right", "built-it" ) => "builtit-h-right",
						esc_html__( "Horizontal Left", "built-it" ) => "builtit-h-left",
						esc_html__( "Horizontal Left Right", "built-it" ) => "builtit-h-right-left",
						esc_html__( "Dots", "built-it" ) => "builtit-dots",
						esc_html__( "Half Color Divider", "built-it" ) => "builtit-half_divder",
                    ),
					"dependency" => array(
		                "element" => "builtit_h_style",
						"value" => array(
							"builtit-style1", 
							"builtit-style3",		
						)
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"1", 
					"heading" => esc_html__("Divider Thickness", "built-it"),
					"param_name" => "builtit_h_d_thik",
					"description" => esc_html__("Please enter number if you need custom width (Ex: 2,3). This size will be in Pixel automatically."),
					"dependency" => array(
		                "element" => "builtit_h_divider",
						"value" => array(
							"builtit-left", 
							"builtit-right",	
							"builtit-bottom", 
							"builtit-h-right",
							"builtit-h-left",
							"builtit-h-right-left",							
						)
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"50", 
					"heading" => esc_html__("Divider Length", "built-it"),
					"param_name" => "builtit_h_d_length",
					"description" => esc_html__("Please enter length of Divider(Ex:50,100). Entered number will be in pixel by default."),
					"dependency" => array(
		                "element" => "builtit_h_divider",
						"value" => array(
							"builtit-bottom", 
							"builtit-h-right",
							"builtit-h-right-left",
							"builtit-h-left",
						)
	                ),
					
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Divder Color", "built-it"),
					"param_name" => "builtit_h_dcolor",
					"dependency" => array(
		                "element" => "builtit_h_divider",
						"value" => array(
							"builtit-left", 
							"builtit-right",	
							"builtit-bottom", 
							"builtit-h-right",
							"builtit-h-right-left",	
							"builtit-dots",
							"builtit-half_divder",
							"builtit-h-left",
						)
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Divder", "built-it" ),
                    "param_name" => "builtit_h_divider_dot",
                    "value" => array(
                        esc_html__( "Top", "built-it" ) => "builtit-top-diver",
                        esc_html__( "Bottom", "built-it" ) => "builtit-top-bottom", 
                    ),
					"dependency" => array(
		                "element" => "builtit_h_divider",
						"value" => array(
							"builtit-dots",	 
						)
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Padding", "built-it"),
					"param_name" => "builtit_h_padd",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Heding Color", "built-it"),
					"param_name" => "builtit_h_color",
					"group" => esc_html__("Heading Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Heading Font Size", "built-it"),
					"param_name" => "builtit_h_font_size",
					"group" => esc_html__("Heading Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Heading Line Height", "built-it"),
					"param_name" => "builtit_h_line",
					"group" => esc_html__("Heading Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Heading Letter Spacing", "built-it"),
					"param_name" => "builtit_h_space",
					"group" => esc_html__("Heading Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				  array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Text Transform", "built-it" ),
                    "param_name" => "builtit_hh_transform",
                    "value" => array(
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Uppercase", "built-it" ) => "uppercase",
                        esc_html__( "Lowercase", "built-it" ) => "lowercase", 
						esc_html__( "Capitalize", "built-it" ) => "capitalize",
                    ),  
					"group" => esc_html__("Heading Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Heading Weight", "built-it" ),
                    "param_name" => "builtit_h_weight",
					"group" => esc_html__("Heading Style", "built-it"),
                    "value" => array(
                        esc_html__( "100", "built-it" ) => "100",
                        esc_html__( "200", "built-it" ) => "200", 
						esc_html__( "300", "built-it" ) => "300",
						esc_html__( "400", "built-it" ) => "400",
						esc_html__( "500", "built-it" ) => "500",
						esc_html__( "600", "built-it" ) => "600",
						esc_html__( "700", "built-it" ) => "700",
						esc_html__( "800", "built-it" ) => "800",
						esc_html__( "900", "built-it" ) => "900",
                    ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Sub Heding Color", "built-it"),
					"param_name" => "builtit_sh_color",
					"group" => esc_html__("Sub Heading Style", "built-it"),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Alignment", "built-it" ),
                    "param_name" => "builtit_sub_head_state",
                    "value" => array(
                        esc_html__( "Top", "built-it" ) => "top",
                        esc_html__( "Bottom", "built-it" ) => "bottom", 
                    ),
					"group" => esc_html__("Sub Heading Style", "built-it"), 
					"dependency" => array(
		                "element" => "builtit_h_style",
						"value" => array(
							"builtit-style1", 
							"builtit-style3",  
						)
	                ),
				),
				array(  
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Sub Heading Font Size", "built-it"),
					"param_name" => "builtit_sh_font_size", 
					"group" => esc_html__("Sub Heading Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				array(
					"type" => "textfield", 
					"value" =>"", 
					"heading" => esc_html__("Sub Heading Line Height", "built-it"),
					"param_name" => "builtit_sh_line",
					"group" => esc_html__("Sub Heading Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				 array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Sub Heading Letter Spacing", "built-it"),
					"param_name" => "builtit_sh_space",
					"group" => esc_html__("Sub Heading Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				  array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Text Transform", "built-it" ),
                    "param_name" => "builtit_sh_transform",
                    "value" => array(
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Uppercase", "built-it" ) => "uppercase",
                        esc_html__( "Lowercase", "built-it" ) => "lowercase", 
						esc_html__( "Capitalize", "built-it" ) => "capitalize",
                    ),  
					"group" => esc_html__("Sub Heading Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Heading Weight", "built-it" ),
                    "param_name" => "builtit_sh_weight",
					"group" => esc_html__("Sub Heading Style", "built-it"),
                    "value" => array(
                        esc_html__( "100", "built-it" ) => "100",
                        esc_html__( "200", "built-it" ) => "200", 
						esc_html__( "300", "built-it" ) => "300",
						esc_html__( "400", "built-it" ) => "400",
						esc_html__( "500", "built-it" ) => "500",
						esc_html__( "600", "built-it" ) => "600",
						esc_html__( "700", "built-it" ) => "700",
						esc_html__( "800", "built-it" ) => "800",
						esc_html__( "900", "built-it" ) => "900",
                    ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border", "built-it" ),
                    "param_name" => "builtit_h_border",
                    "value" => array(
                        esc_html__( "Off", "built-it" ) => "off",
						esc_html__( "On", "built-it" ) => "on",
                    ),
					"group" => esc_html__("Border Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Border Width", "built-it"),
					"param_name" => "builtit_h_border_w",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Border Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_h_border",
						"value" =>  "on",
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_h_bcolor",					
					"group" => esc_html__("Border Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_h_border",
						"value" =>  "on",
					),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_h_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
					"group" => esc_html__("Border Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_h_border",
						"value" =>  "on",
					),
				),  
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_h_br",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Border Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_h_border",
						"value" =>  "on", 
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Background Color", "built-it"),
					"param_name" => "builtit_h_bgcolor",					
					"group" => esc_html__("Background", "built-it"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Box Shadow ", "built-it"),
					"param_name" => "builtit_h_sh_box_sh",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Background", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_h_sh_box",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Background", "built-it"),
					"dependency" => array(
						"element" => "builtit_h_sh_box_sh",
						"value" =>  "true", 
					),
				),
				
		    ),
	    ) 
	);