<?php 
/**
* Gallery
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Gallery", "built-it" ),
		"base" => "builtit_gallery",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/image-gallery.png'),
		"params" => array(
				array( 
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Gallery View", "built-it" ),
                    "param_name" => "builtit_gallery_view",
                    "value" => array( 
                        esc_html__( "Grid", "built-it" ) => "builtit-display-grid",
                        esc_html__( "Slider", "built-it" ) => "builtit-img-gallery-slider",
                    ),
				),
				array(
					"type" => "dropdown", 
                    "heading" => esc_html__( "Select Gallery Style", "built-it" ),
                    "param_name" => "builtit_gallery_style",
                    "value" => array( 
                        esc_html__( "Style 1", "built-it" ) => "",
                        esc_html__( "Style 2", "built-it" ) => "builtit-img-gallery-overlay",
						esc_html__( "Style 3", "built-it" ) => "builtit-img-gallery-overlay2",
                    ),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Image Zoom", "built-it"),
					"param_name" => "builtit_gallery_zoom",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"edit_field_class" => "vc_col-xs-4",
					"dependency" => array(
		                "element" => "builtit_gallery_style",
						"value" => array(
						        "builtit-img-gallery-overlay",
						        "builtit-img-gallery-overlay2",
						    ),
	                ),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Link", "built-it"),
					"param_name" => "builtit_gallery_link",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"edit_field_class" => "vc_col-xs-4",
					"dependency" => array(
		                "element" => "builtit_gallery_style",
						"value" => array(
						        "builtit-img-gallery-overlay",
						        "builtit-img-gallery-overlay2",
						    ),
	                ),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Tittle", "built-it"),
					"param_name" => "builtit_gallery_tittle",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"edit_field_class" => "vc_col-xs-4",
					"dependency" => array(
		                "element" => "builtit_gallery_style",
						"value" => "builtit-img-gallery-overlay2",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"4", 
					"heading" => esc_html__("Number Of Gallery Item", "built-it"),
					"param_name" => "builtit_gallery_item",
					"edit_field_class" => "vc_col-xs-6",
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Gallery Column", "built-it" ),
                    "param_name" => "builtit_gallery_column",
                    "value" => array( 
						esc_html__( "Column 3", "built-it" ) => "builtit-column-3",
                        esc_html__( "Column 4", "built-it" ) => "builtit-column-4",
						esc_html__( "Column 5", "built-it" ) => "builtit-column-5",
						esc_html__( "Column 6", "built-it" ) => "builtit-column-6",
                    ),
					"edit_field_class" => "vc_col-xs-6",		
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Image Overlay Color", "built-it"),
					"param_name" => "builtit_gallery_overlay_bg",
					"group" => esc_html__("Gallery Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_gallery_icon_c",
					"group" => esc_html__("Gallery Style", "built-it"),
					"edit_field_class" => "vc_col-xs-12",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Background Color", "built-it"),
					"param_name" => "builtit_gallery_icon_bg",
					"group" => esc_html__("Gallery Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Text Color", "built-it"),
					"param_name" => "builtit_gallery_text_c",
					"group" => esc_html__("Gallery Style", "built-it"),
					"edit_field_class" => "vc_col-xs-12",
					"dependency" => array(
		                "element" => "builtit_gallery_style",
						"value" =>"builtit-img-gallery-overlay2",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Text Background Color", "built-it"),
					"param_name" => "builtit_gallery_text_bg",
					"group" => esc_html__("Gallery Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_gallery_style",
						"value" =>"builtit-img-gallery-overlay2",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"group" => esc_html__("Gallery Style", "built-it"),
					"heading" => esc_html__("Column Gap", "built-it"),
					"param_name" => "builtit_column_gap",
					"dependency" => array(
		                "element" => "builtit_gallery_view",
						"value" =>"builtit-display-grid",
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Navigation", "built-it" ),
                    "param_name" => "builtit_gallery_nav",
					"group" => esc_html__("Slider Style", "built-it"),
                    "value" => array(  
                        esc_html__( "None", "built-it" ) => "",
                        esc_html__( "Arrows", "built-it" ) => "arrows",
						esc_html__( "Bullets", "built-it" ) => "bullets",
                    ),
					"dependency" => array(
		                "element" => "builtit_gallery_view",
						"value" =>"builtit-img-gallery-slider",
	                ),					
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Autoplay ", "built-it"),
					"group" => esc_html__("Slider Style", "built-it"),
					"param_name" => "builtit_gallery_autoplay",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_gallery_view",
						"value" =>"builtit-img-gallery-slider",
	                ),	
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Loop ", "built-it"),
					"group" => esc_html__("Slider Style", "built-it"),
					"param_name" => "builtit_gallery_loop",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_gallery_view",
						"value" =>"builtit-img-gallery-slider",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"4", 
					"heading" => esc_html__("Speed", "built-it"),
					"param_name" => "builtit_gallery_speed",
					"dependency" => array(
		                "element" => "builtit_gallery_autoplay",
						"value" =>"true",
	                ),
					"group" => esc_html__("Slider Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Active Bullet Color", "built-it"),
					"param_name" => "builtit_gallery_ac_bullet",
					"group" => esc_html__("Slider Style", "built-it"),
					"edit_field_class" => "vc_col-xs-12",
					"dependency" => array(
		                "element" => "builtit_gallery_nav",
						"value" =>"bullets",
	                ),	
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Inactive Bullet Color", "built-it"),
					"param_name" => "builtit_gallery_inac_bullet",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_gallery_nav",
						"value" =>"bullets",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Color", "built-it"),
					"param_name" => "builtit_gallery_arro_color",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_gallery_nav",
						"value" =>"arrows", 
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Background Color", "built-it"),
					"param_name" => "builtit_gallery_arro_bg",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_gallery_nav",
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Hover Color", "built-it"),
					"param_name" => "builtit_gallery_arro_hcolor",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_gallery_nav",
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Hover Background Color", "built-it"),
					"param_name" => "builtit_gallery_arro_hbg",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_gallery_nav",
						"value" =>"arrows",
	                ),
				),
		    ),
	    ) 
	);