<?php 
/**
* List
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "List", "built-it" ),
		"base" => "builtit_list",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"as_parent" => array("only" => "builtit_list_item"),
		"icon"	 => esc_url($icon_path.'/list.png'),
		"js_view" => "VcColumnView",
		"params" => array(
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("List Color", "built-it"),
					"param_name" => "builtit_list_color",
				), 
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("List Background Color", "built-it"),
					"param_name" => "builtit_list_bg_color", 
				),
				array(  
					"type" => "textfield",
					"value" => "15px", 
					"heading" => esc_html__("Space Between The List Items", "built-it"),
					"param_name" => "builtit_list_space",
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Inline List", "built-it"),
					"param_name" => "builtit_list_inline",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Box Border", "built-it"),
					"param_name" => "builtit_list_border_show",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Border", "built-it"),
					"param_name" => "builtit_list_box_border",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_list_border_show", 
						"value" =>"true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_list_box_bcolor",					
					"dependency" => array(
		                "element" => "builtit_list_border_show", 
						"value" =>"true",
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_list_box_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
					"dependency" => array(
		                "element" => "builtit_list_border_show", 
						"value" =>"true",
	                ),
				),  
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_notify_box_br",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_list_border_show", 
						"value" =>"true",
	                ),
				),
				array(  
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_list_box_shw",
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Box Hover", "built-it"),
					"param_name" => "builtit_list_hover_box",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Hover Color", "built-it"),
					"param_name" => "builtit_list_box_hcolor",
					"dependency" => array(
		                "element" => "builtit_list_hover_box", 
						"value" =>"true",
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Hover Background Color", "built-it"),
					"param_name" => "builtit_list_box_hbg_color",
					"dependency" => array(
		                "element" => "builtit_list_hover_box", 
						"value" =>"true",
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Hover Border Color", "built-it"),
					"param_name" => "builtit_list_box_hbcolor",
					"dependency" => array(
		                "element" => "builtit_list_hover_box", 
						"value" =>"true",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_list_icon_color",
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Icon Alignment", "built-it" ),
                    "param_name" => "builtit_list_icon_align",
                    "value" => array( 
                        esc_html__( "Left", "built-it" ) => "builtit-list-icon-left",
						esc_html__( "Right", "built-it" ) => "builtit-list-icon-right",
                    ), 
					"group" => esc_html__("Icon Style", "built-it"),
				),  
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Background Color", "built-it"),
					"param_name" => "builtit_list_icon_bg_color",
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Icon Border", "built-it"),
					"param_name" => "builtit_list_icon_border",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Border Color", "built-it"),
					"param_name" => "builtit_list_icon_b_color",					
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Icon Border Style", "built-it" ),
                    "param_name" => "builtit_list_icon_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
					"group" => esc_html__("Icon Style", "built-it"),
				),  
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Icon Border Radius", "built-it"),
					"param_name" => "builtit_notify_box_box_br",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Icon Hover", "built-it"),
					"param_name" => "builtit_list_hover_icon",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Color", "built-it"),
					"param_name" => "builtit_list_icon_hcolor",
					"dependency" => array(
		                "element" => "builtit_list_hover_icon", 
						"value" =>"true",
	                ),
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Background Color", "built-it"),
					"param_name" => "builtit_list_icon_hbg_color",
					"dependency" => array(
		                "element" => "builtit_list_hover_icon", 
						"value" =>"true",
	                ),
					"group" => esc_html__("Icon Style", "built-it"),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Border Color", "built-it"),
					"param_name" => "builtit_list_icon_hbcolor",
					"dependency" => array(
		                "element" => "builtit_list_hover_icon", 
						"value" =>"true", 
	                ),
					"group" => esc_html__("Icon Style", "built-it"),
				),
		    ),
	    )  
	);
	
	vc_map( array( 
		"name" => esc_html__( "Add List Item", "built-it" ),
		"base" => "builtit_list_item",
		"content_element" => true,
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"as_child" => array("only" => "builtit_list"),
		"icon"	 => esc_url($icon_path.'/list.png'),
		"params" => array(
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => esc_html__("Select Icon", "built-it"),
					"param_name" => "builtit_list_item_icon",
				), 
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Text", "built-it"),
					"param_name" => "builtit_list_item_text",
					"edit_field_class" => "vc_col-xs-12",	
				), 
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Open In New Tab", "built-it"),
					"param_name" => "builtit_list_item_open_new",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Link", "built-it"),
					"param_name" => "builtit_list_item_link",
					"edit_field_class" => "vc_col-xs-12",	
				), 
		    ),
	    ) 
	);
	
	if ( class_exists( "WPBakeryShortCodesContainer" ) ) {
		class WPBakeryShortCode_builtit_list extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( "WPBakeryShortCode" ) ) {
		class WPBakeryShortCode_builtit_list_item extends WPBakeryShortCode {
		}
	}