<?php 
/**
* Notification
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Notification Box", "built-it" ),
		"base" => "builtit_notify",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/notification.png'),
		"params" => array(  
				array(
					"type" => "dropdown", 
                    "heading" => esc_html__( "Notification Box Style", "built-it" ),
                    "param_name" => "builtit_notify_style",
                    "value" => array(  
                        esc_html__( "Notification Style 1", "built-it" ) => "builtit-notification-style1",
                        esc_html__( "Notification Style 2", "built-it" ) => "builtit-notification-style2",
						esc_html__( "Notification Style 3", "built-it" ) => "builtit-notification-style3",
						esc_html__( "Notification Style 4", "built-it" ) => "builtit-notification-style4",
                    ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Notification Box Type", "built-it" ),
                    "param_name" => "builtit_notify_type",
                    "value" => array(  
                        esc_html__( "Danger", "built-it" ) => "builtit-danger",
                        esc_html__( "Warning", "built-it" ) => "builtit-warning",
						esc_html__( "Info", "built-it" ) => "builtit-info",
						esc_html__( "Success", "built-it" ) => "builtit-success",
                    ),
				),
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => __("Select Icon", "built-it"),
					"param_name" => "builtit_notify_icon",
					"dependency" => array(
		                "element" => "builtit_notify_style", 
						"value" =>  array(
							"builtit-notification-style1", 
							"builtit-notification-style2", 
						),
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Tittle", "built-it"),
					"param_name" => "builtit_notify_tittle",
				),  
				array(
					"type" => "textarea",
					"value" =>"", 
					"heading" => esc_html__("Description", "built-it"),
					"param_name" => "builtit_notify_des",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),			
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tittle Color", "built-it"),
					"param_name" => "builtit_notify_tittle_color",
					"group" => esc_html__("Notification Style", "built-it"),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Description Color", "built-it"),
					"param_name" => "builtit_notify_des_color",
					"group" => esc_html__("Notification Style", "built-it"),
				),	
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Color", "built-it"),
					"param_name" => "builtit_notify_btn_color",
					"group" => esc_html__("Notification Style", "built-it"),
				),	
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Color", "built-it"),
					"param_name" => "builtit_notify_box_color",
					"group" => esc_html__("Notification Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Border", "built-it"),
					"param_name" => "builtit_notify_box_border",
					"group" => esc_html__("Notification Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_notify_box_bcolor",					
					"group" => esc_html__("Notification Style", "built-it"),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_notify_box_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
					"group" => esc_html__("Notification Style", "built-it"),
				), 
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_notify_box_box_br",
					"group" => esc_html__("Notification Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(  
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_notify_box_box_shw",
					"group" => esc_html__("Notification Style", "built-it"),
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Extra Color", "built-it"),
					"param_name" => "builtit_notify_extra_color",					
					"group" => esc_html__("Notification Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_notify_style", 
						"value" =>  array(
							"builtit-notification-style1", 
							"builtit-notification-style3", 
						),
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_notify_icon_color",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_notify_style", 
						"value" =>  array(
							"builtit-notification-style1", 
							"builtit-notification-style2", 
						),
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Background Color", "built-it"),
					"param_name" => "builtit_notify_icon_bg",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_notify_style", 
						"value" =>  array(
							"builtit-notification-style1", 
							"builtit-notification-style2", 
						),
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Color", "built-it"),
					"param_name" => "builtit_notify_icon_hcolor",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_notify_style", 
						"value" =>  array(
							"builtit-notification-style1", 
							"builtit-notification-style2", 
						),
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Background Color", "built-it"),
					"param_name" => "builtit_notify_icon_hbg",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_notify_style", 
						"value" =>  array(
							"builtit-notification-style1", 
							"builtit-notification-style2", 
						),
	                ),
				),
		    ),
	    )  
	);
	 
	