<?php 
/**
* Play Button
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Play Button", "built-it" ),
		"base" => "builtit_play_button",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/play.png'),
		"params" => array( 
				array( 
					"type" => "dropdown", 
                    "heading" => esc_html__( "Select Play Button View", "built-it" ),
                    "param_name" => "builtit_play_btn_view",  
                    "value" => array( 
                        esc_html__( "Style 1", "built-it" ) => "builtit-play-icon1",
                        esc_html__( "Style 2", "built-it" ) => "builtit-play-icon2",
						esc_html__( "Style 3", "built-it" ) => "builtit-play-icon3",
					),
				),
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => esc_html__("Select Icon", "built-it"),
					"param_name" => "builtit_play_btn_icon",
				), 
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Play Button Text", "built-it"),
					"param_name" => "builtit_play_btn_show",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_play_btn_view", 
						"value" =>  array(
							"builtit-play-icon1",
							"builtit-play-icon3",  
						),
	                ),
				), 
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Play Button Tittle", "built-it"),
					"param_name" => "builtit_play_btn_tittle",
					"dependency" => array(
		                "element" => "builtit_play_btn_show",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Video Link", "built-it"),
					"param_name" => "builtit_play_btn_video_link",
				), 
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Icon Font Size", "built-it"),
					"param_name" => "builtit_play_btn_icon_font",
					"group" => esc_html__("Play Button Style", "built-it"),
					"description" => esc_html__("Enter numeric value here."),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Icon Color", "built-it"),
					"param_name" => "builtit_play_btn_icon_color",
					"group" => esc_html__("Play Button Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Text Color", "built-it"),
					"param_name" => "builtit_play_btn_tittle_color",
					"group" => esc_html__("Play Button Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_play_btn_show",
						"value" =>"true", 
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Text Background Color", "built-it"),
					"param_name" => "builtit_play_btn_tittle_bg_color",
					"group" => esc_html__("Play Button Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_play_btn_show",
						"value" =>"true", 
	                ),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Button Background Gradient", "built-it"),
					"param_name" => "builtit_play_btn_gradient",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Play Button Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Background", "built-it"),
					"param_name" => "builtit_play_btn_bg",
					"group" => esc_html__("Play Button Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
				),
				array(
					"type" => "colorpicker",  
					"value" =>"#333", 
					"heading" => esc_html__("Button Background", "built-it"),
					"param_name" => "builtit_play_btn_bg2",
					"group" => esc_html__("Play Button Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"dependency" => array(
		                "element" => "builtit_play_btn_gradient",
						"value" =>"true",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Button Border", "built-it"),
					"param_name" => "builtit_play_btn_border",
					"group" => esc_html__("Play Button Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_play_btn_style",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ),
					"group" => esc_html__("Play Button Style", "built-it"),
				), 
								
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Border Color", "built-it"),
					"param_name" => "builtit_play_btn_color",					
					"group" => esc_html__("Play Button Style", "built-it"),
				),
				array(
					"type" => "colorpicker", 
					"value" =>"", 
					"heading" => esc_html__("Button Border Hover Color", "built-it"),
					"param_name" => "builtit_play_btn_hcolor",
					"group" => esc_html__("Play Button Style", "built-it"),
				), 
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Button Border Radius", "built-it"),
					"param_name" => "builtit_play_btn_r",
					"group" => esc_html__("Play Button Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_play_btn_box_shw",
					"group" => esc_html__("Play Button Style", "built-it"),
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
					"dependency" => array(
		                "element" => "builtit_play_btn_view", 
						"value" =>  array(
							"builtit-play-icon1",
							"builtit-play-icon3",  
						),
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Box Shadow Style", "built-it" ),
                    "param_name" => "builtit_play_btn_box_shw_s",
					"group" => esc_html__("Play Button Style", "built-it"),		
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Inset", "built-it" ) => "Inset",
                        esc_html__( "Outset", "built-it" ) => "Outset",
					),
					"dependency" => array(
		                "element" => "builtit_play_btn_view", 
						"value" =>  array(
							"builtit-play-icon1",
							"builtit-play-icon3",  
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Popup Close Button Color", "built-it"),
					"param_name" => "builtit_play_popup_btnc",	
					"group" => esc_html__("Pop-up Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Popup Close Button Background Color", "built-it"),
					"param_name" => "builtit_play_popup_btn_bg",					
					"group" => esc_html__("Pop-up Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Background Screen Color", "built-it"),
					"param_name" => "builtit_play_popup_bg_scr",					
					"group" => esc_html__("Pop-up Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Popup Border", "built-it"),
					"param_name" => "builtit_play_popup_border",
					"group" => esc_html__("Pop-up Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Popup Border Color", "built-it"),
					"param_name" => "builtit_play_popup_b_color",					
					"group" => esc_html__("Pop-up Style", "built-it"),
				),
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Popup Border Radius", "built-it"),
					"param_name" => "builtit_play_popup_b_r",
					"group" => esc_html__("Pop-up Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
		    ), 
	    ) 
	);