<?php 
/**
* Pricing Plan
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__("Pricing", "built-it"),
		"base" => "builtit_pricing",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/pricing.png'),
		"params" => array(  
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Pricing style", "built-it" ),
                    "param_name" => "builtit_pricing_style",
                    "value" => array( 
                        esc_html__( "Style 1", "built-it" ) => "builtit-price-style1",
						esc_html__( "Style 2", "built-it" ) => "builtit-price-style2",
						esc_html__( "Style 3", "built-it" ) => "builtit-price-style3",
						esc_html__( "Style 4", "built-it" ) => "builtit-price-style4",
                    ),
				),
				array(
					"type" => "attach_image", 
					"value" =>"", 
					"heading" => esc_html__("Image", "built-it"),
					"param_name" => "builtit_pricing_img",
					"dependency" => array(
						"element" => "builtit_pricing_style",
						"value" =>  "builtit-price-style2",
					),
				),
				array(   
					"type" => "textfield",
					"param_name" => "builtit_pricing_p_name", 
					"heading" => esc_html__("Plan Name", "built-it"),
					"value" =>"",
					"dependency" => array(
						"element" => "builtit_pricing_style",
						"value" => array(
							"builtit-price-style1",
							"builtit-price-style2",
							"builtit-price-style3",
						)
					),
				), 
				array(   
					"type" => "textfield",
					"param_name" => "builtit_pricing_c_symbol", 
					"heading" => esc_html__("Currency Symbol", "built-it"),
					"value" =>"",
					"dependency" => array(
						"element" => "builtit_pricing_style",
						"value" => array(
							"builtit-price-style1",
							"builtit-price-style2",
							"builtit-price-style3",
						)
					),
				), 
				array(   
					"type" => "textfield",
					"param_name" => "builtit_pricing_price", 
					"heading" => esc_html__("Price", "built-it"),
					"value" =>"",
					"dependency" => array(
						"element" => "builtit_pricing_style",
						"value" => array(
							"builtit-price-style1",
							"builtit-price-style2",
							"builtit-price-style3",
						)
					),
				), 
				array(   
					"type" => "textfield",
					"param_name" => "builtit_pricing_time", 
					"heading" => esc_html__("Time", "built-it"),
					"value" =>"",
					"dependency" => array(
						"element" => "builtit_pricing_style",
						"value" => array(
							"builtit-price-style1",
							"builtit-price-style2",
							"builtit-price-style3",
						)
					),
				),  
				array(   
					"type" => "textfield",
					"param_name" => "builtit_pricing_tittle_sub", 
					"heading" => esc_html__("Sub Tittle", "built-it"),
					"value" =>"",
					"dependency" => array(
						"element" => "builtit_pricing_style",
						"value" =>  "builtit-price-style1",
					),
				),  
				array(
					"type" => "param_group",
					"param_name" => "builtit_pricing_month", 
					"heading" => esc_html__("Add Month Pricing Plan", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" =>  "builtit-price-style4",  
					),
					"params" => array(
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Tittle", "built-it"),
							"param_name" => "builtit_pricing_mtittle",
						),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Pricing Sub Tittle", "built-it"),
							"param_name" => "builtit_pricing_mst",
						),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Symbol", "built-it"),
							"param_name" => "builtit_pricing_msybol",
						),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Price", "built-it"),
							"param_name" => "builtit_pricing_mprice",
						),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Time", "built-it"),
							"param_name" => "builtit_pricing_mtime",
						),
					),
				),
				array(
					"type" => "param_group",
					"param_name" => "builtit_pricing_year", 
					"heading" => esc_html__("Add Year Pricing Plan", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" =>  "builtit-price-style4",  
					),
					"params" => array(
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Tittle", "built-it"),
							"param_name" => "builtit_pricing_ytittle",
						),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Pricing Sub Tittle", "built-it"),
							"param_name" => "builtit_pricing_yst",
						),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Symbol", "built-it"),
							"param_name" => "builtit_pricing_ysybol",
						),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Price", "built-it"),
							"param_name" => "builtit_pricing_yprice",
						),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Time", "built-it"),
							"param_name" => "builtit_pricing_ytime",
						),
					),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "param_group",
					"param_name" => "builtit_pricing_desc", 
					"heading" => esc_html__("Add List", "built-it"),
					"group" => esc_html__("Plan List", "built-it"),
					"params" => array(
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Tittle", "built-it"),
							"param_name" => "builtit_pricing_p_tittle",
						),
						array( 
							"type" => "iconpicker",   
							"value" =>"", 
							"heading" => __("Select Icon", "built-it"),
							"param_name" => "builtit_pricing_p_icon",
						),
					), 
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("List Text Color", "built-it"),
					"param_name" => "builtit_pricing_text_color",
					"group" => esc_html__("Plan List", "built-it"),
				),
				array(
					"type" => "colorpicker", 
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_pricing_icon_color",
					"group" => esc_html__("Plan List", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Background Color", "built-it"),
					"param_name" => "builtit_pricing_icon_bgcolor",
					"group" => esc_html__("Plan List", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"",
					"param_name" => "builtit_pricing_btn_tittle",
					"group" => esc_html__("Button Style", "built-it"),
					"heading" => esc_html__("Button Text", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"",
					"param_name" => "builtit_pricing_btn_link",
					"group" => esc_html__("Button Style", "built-it"),
					"heading" => esc_html__("Link", "built-it"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Open In New Tab?", "built-it"),
					"param_name" => "builtit_pricing_tab_open",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Button Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Text Color", "built-it"),
					"param_name" => "builtit_pricing_btn_color",
					"group" => esc_html__("Button Style", "built-it"),
					"edit_field_class" => "vc_col-xs-12",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Background", "built-it"),
					"param_name" => "builtit_pricing_btn_bg_color",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" =>  "builtit-price-style3",  
					),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Border", "built-it"),
					"param_name" => "builtit_pricing_border_s",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" =>  "builtit-price-style3",  
					),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Button Border", "built-it"),
					"param_name" => "builtit_pricing_btn_border",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_border_s",
						"value" =>  "true",
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Border Color", "built-it"),
					"param_name" => "builtit_pricing_btn_b_color",					
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_border_s",
						"value" =>  "true", 
					),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Button Style", "built-it" ),
                    "param_name" => "builtit_pricing_btn_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_border_s",
						"value" =>  "true",
					),
				),  
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Button Radius", "built-it"),
					"param_name" => "builtit_pricing_btn_br",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_border_s",
						"value" =>  "true",
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Text Hover Color", "built-it"),
					"param_name" => "builtit_pricing_btn_hcolor",
					"group" => esc_html__("Button Style", "built-it"),
					"edit_field_class" => "vc_col-xs-12", 
				), 
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Hover Background", "built-it"),
					"param_name" => "builtit_pricing_btn_hbg_color",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" =>  "builtit-price-style3",  
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Button Hover Border Color", "built-it"),
					"param_name" => "builtit_pricing_btn_h_bcolor",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" =>  "builtit-price-style3",  
					),
				),
				array(   
					"type" => "textfield",
					"param_name" => "builtit_pricing_btn_hsho", 
					"heading" => esc_html__("Hover Box Shadow", "built-it"),
					"value" =>"",
					"group" => esc_html__("Button Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" =>  "builtit-price-style3",  
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Text Color", "built-it"),
					"param_name" => "builtit_pricing_box_tcolor",					
					"group" => esc_html__("Pricing Box Style", "built-it"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Box Background Gradient", "built-it"),
					"param_name" => "builtit_pricing_box_gt",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Pricing Box Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" => "builtit-price-style1",
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Background Color", "built-it"),
					"param_name" => "builtit_pricing_box_bgcolor",					
					"group" => esc_html__("Pricing Box Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6", 
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Background Color 2", "built-it"),
					"param_name" => "builtit_pricing_box_bgcolor_two",					
					"group" => esc_html__("Pricing Box Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6", 
					"dependency" => array(
						"element" => "builtit_pricing_box_gt",
						"value" =>  "true", 
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Border Color", "built-it"),
					"param_name" => "builtit_pricing_box_bcolor",					
					"group" => esc_html__("Pricing Box Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Border", "built-it"),
					"param_name" => "builtit_pricing_box_border",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Pricing Box Style", "built-it"),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Box Border Style", "built-it" ),
                    "param_name" => "builtit_pricing_box_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
					"group" => esc_html__("Pricing Box Style", "built-it"),
				),  
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Box Border Radius", "built-it"),
					"param_name" => "builtit_pricing_box_br",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"group" => esc_html__("Pricing Box Style", "built-it"),
				),
				array(   
					"type" => "textfield", 
					"param_name" => "builtit_pricing_box_sho", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"value" =>"",
					"group" => esc_html__("Pricing Box Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Additional Color", "built-it"),
					"param_name" => "builtit_pricing_box_adcolor",					
					"group" => esc_html__("Pricing Box Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" => array(
							"builtit-price-style2",
							"builtit-price-style3",
							"builtit-price-style4",
						)
					),
				),	
				array(
					"type" => "colorpicker",
					"value" =>"",  
					"heading" => esc_html__("Second Additional Color", "built-it"),
					"param_name" => "builtit_pricing_box_sadcolor",					
					"group" => esc_html__("Pricing Box Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" => array(
							"builtit-price-style2",
							"builtit-price-style4",
						)
					),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Line Color", "built-it"),
					"param_name" => "builtit_pricing_box_lcolor",					
					"group" => esc_html__("Pricing Box Style", "built-it"),
					"dependency" => array(
						"element" => "builtit_pricing_style", 
						"value" => array(
							"builtit-price-style3",
							"builtit-price-style4",
						)
					),
				),
		    ),
	    ) 
	);