<?php 
/**
* Service
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Service Box", "built-it" ),
		"base" => "builtit_service",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/services.png'),
		"params" => array(
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Service Style", "built-it" ),
                    "param_name" => "builtit_service_style",
                    "value" => array( 
                        esc_html__( "Service Style 1", "built-it" ) => "builtit-service-style1",
                        esc_html__( "Service Style 2", "built-it" ) => "builtit-service-style2",
						esc_html__( "Service Style 3", "built-it" ) => "builtit-service-style3",
                    ),	
				),
				
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Icon or Image", "built-it" ),
                    "param_name" => "builtit_service_type", 
                    "value" => array( 
                        esc_html__( "Icon", "built-it" ) => "icon",
                        esc_html__( "Image", "built-it" ) => "image",
						
                    ),	
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Image Or Icon Right Side", "built-it"),
					"param_name" => "builtit_service_side",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_service_style",
						"value" =>"builtit-service-style2",
	                ),
				),
				array(
					"type" => "attach_image", 
					"value" =>"", 
					"heading" => esc_html__("Image", "built-it"),
					"param_name" => "builtit_service_img",
					"dependency" => array(
		                "element" => "builtit_service_type",
						"value" =>"image",
	                ),
				),
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => __("Select Icon", "built-it"),
					"param_name" => "builtit_service_icon",
					"dependency" => array(
		                "element" => "builtit_service_type",
						"value" =>"icon",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Number", "built-it"),
					"param_name" => "builtit_service_number",
					"dependency" => array(
		                "element" => "builtit_service_style", 
						"value" =>"builtit-service-style3",
	                ),
				),  
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Tittle", "built-it"),
					"param_name" => "builtit_service_tittle",
				), 
				array(
					"type" => "textarea",
					"value" =>"", 
					"heading" => esc_html__("Description", "built-it"),
					"param_name" => "builtit_service_des",	
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Link ", "built-it"),
					"param_name" => "builtit_service_link_show",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Link", "built-it"),
					"param_name" => "builtit_service_link",
					"dependency" => array(
		                "element" => "builtit_service_link_show", 
						"value" =>"true",
	                ),
				),
				array( 
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tittle Color", "built-it"),
					"param_name" => "builtit_service_tittle_color",
					"group" => esc_html__("Service Box Style", "built-it"),
				),		
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Number Color", "built-it"),
					"param_name" => "builtit_service_number_color",
					"group" => esc_html__("Service Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_style", 
						"value" =>"builtit-service-style3",
	                ),
				),	
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Background Color", "built-it"),
					"param_name" => "builtit_service_bg",
					"group" => esc_html__("Service Box Style", "built-it"),
				),
				array(
					"type" => "attach_image", 
					"value" =>"", 
					"heading" => esc_html__("Background Image", "built-it"),
					"param_name" => "builtit_service_img_bg",
					"group" => esc_html__("Service Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_style", 
						"value" =>  array(
							"builtit-service-style1",
							"builtit-service-style3",
						),
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Description Color", "built-it"),
					"param_name" => "builtit_service_dec_color",
					"group" => esc_html__("Service Box Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Border", "built-it"),
					"param_name" => "builtit_service_box_border",
					"group" => esc_html__("Service Box Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_service_box_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ),
					"group" => esc_html__("Service Box Style", "built-it"),
				), 
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Border Color", "built-it"),
					"param_name" => "builtit_service_box_bcolor",					
					"group" => esc_html__("Service Box Style", "built-it"),
				),
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Box Border Radius", "built-it"),
					"param_name" => "builtit_service_box_r",
					"group" => esc_html__("Service Box Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Shadow Color", "built-it"),
					"param_name" => "builtit_service_boxs",
					"group" => esc_html__("Service Box Style", "built-it"),
				),  
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Hover ", "built-it"),
					"param_name" => "builtit_service_hover",
					"group" => esc_html__("Service Box Style", "built-it"),
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tittle Hover Color", "built-it"),
					"param_name" => "builtit_service_tittle_hcolor",
					"group" => esc_html__("Service Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_hover", 
						"value" =>"true",
	                ),
				),		
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Number Hover Color", "built-it"),
					"param_name" => "builtit_service_number_hcolor",
					"group" => esc_html__("Service Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_hover", 
						"value" =>"true",
	                ),
				),	
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Hover Background Color", "built-it"),
					"param_name" => "builtit_service_hbg",
					"group" => esc_html__("Service Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_hover", 
						"value" =>"true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Description Hover Color", "built-it"),
					"param_name" => "builtit_service_dec_hcolor",
					"group" => esc_html__("Service Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_hover", 
						"value" =>"true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Hover Border Color", "built-it"),
					"param_name" => "builtit_service_b_hcolor",
					"group" => esc_html__("Service Box Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_hover", 
						"value" =>"true",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Icon Font Size", "built-it"),
					"param_name" => "builtit_service_icon_font",
					"group" => esc_html__("Icon Style", "built-it"),
					"description" => esc_html__("Please enter number if you need custom size (Ex: 20,30). This size will be in Pixel automatically."),
					"dependency" => array(
		                "element" => "builtit_service_type",
						"value" =>"icon", 
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_service_icon_color",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_type",
						"value" =>"icon",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Color", "built-it"),
					"param_name" => "builtit_service_icon_hcolor",
					"group" => esc_html__("Icon Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_service_type",
						"value" =>"icon",
	                ),
				),
		    ),
	    )  
	);