<?php 
/**
* Social 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Social Icon", "built-it" ), 
		"base" => "builtit_social",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"as_parent" => array("only" => "builtit_social_item"),
		"icon"	 => esc_url($icon_path.'/social.png'),
		"js_view" => "VcColumnView",
		"params" => array(
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Icon View Style", "built-it" ),
                    "param_name" => "builtit_social_ic_style",
                    "value" => array( 
						esc_html__( "Style 1", "built-it" ) => "builtit-social-style1",
                        esc_html__( "Style 2", "built-it" ) => "builtit-social-style2",
						esc_html__( "Style 3", "built-it" ) => "builtit-social-style3",
						esc_html__( "Style 4", "built-it" ) => "builtit-social-style4",
                    ), 
				),  
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Color", "built-it"),
					"param_name" => "builtit_social_ic_color",
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Background Color", "built-it"),
					"param_name" => "builtit_social_ic_bg",
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Icon Aligment", "built-it" ),
                    "param_name" => "builtit_social_ic_align",
                    "value" => array( 
						esc_html__( "Left", "built-it" ) => "",
                        esc_html__( "Center", "built-it" ) => "center",
						esc_html__( "Right", "built-it" ) => "right",
                    ), 
				),  
				array(  
					"type" => "textfield",
					"value" => "15px", 
					"heading" => esc_html__("Space Between The Icon Items", "built-it"),
					"param_name" => "builtit_social_space",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box Border", "built-it"),
					"param_name" => "builtit_social_ic_border",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_social_ic_bcolor",					
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_social_ic_bstyle",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ), 
				),  
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_social_ic_br",
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_social_ic_style", 
						"value" => array(
							"builtit-social-style1",
							"builtit-social-style3",
						),
	                ),
				),
				array(  
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_social_ic_shw",
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
					"dependency" => array(
		                "element" => "builtit_social_ic_style", 
						"value" => array(
							"builtit-social-style1",
							"builtit-social-style2",
							"builtit-social-style4", 
						),
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Extra Color", "built-it"),
					"param_name" => "builtit_social_ic_ecolor",
					"dependency" => array(
		                "element" => "builtit_social_ic_style", 
						"value" => "builtit-social-style3",
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Color", "built-it"),
					"param_name" => "builtit_social_ic_hcolor",
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Icon Hover Background Color", "built-it"),
					"param_name" => "builtit_social_ic_hbg",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Hover Color", "built-it"),
					"param_name" => "builtit_social_ic_h_bcolor",
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Extra Hover Color", "built-it"),
					"param_name" => "builtit_social_ic_h_ecolor",
					"dependency" => array(
						"element" => "builtit_social_ic_style",
						"value" => "builtit-social-style3",
	                ), 
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
		    ),
	    )   
	);
	
	vc_map( array( 
		"name" => esc_html__( "Add Icon", "built-it" ),
		"base" => "builtit_social_item",
		"content_element" => true,
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"as_child" => array("only" => "builtit_social"),
		"icon"	 => esc_url($icon_path.'/social.png'),
		"params" => array(
				array( 
					"type" => "iconpicker",   
					"value" =>"", 
					"heading" => esc_html__("Select Icon", "built-it"),
					"param_name" => "builtit_social_ic_icon",
				), 
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Open In New Tab", "built-it"),
					"param_name" => "builtit_social_ic_open_new",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Link", "built-it"),
					"param_name" => "builtit_social_ic_link",
				), 
		    ),
	    ) 
	);
	
	if ( class_exists( "WPBakeryShortCodesContainer" ) ) {
		class WPBakeryShortCode_builtit_social extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( "WPBakeryShortCode" ) ) {
		class WPBakeryShortCode_builtit_social_item extends WPBakeryShortCode {
		}
	}
	 
	