<?php 
/** 
* Tab
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Tab", "built-it" ),
		"base" => "builtit_tab",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/tabs.png'),
		"params" => array( 
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Tab Type", "built-it" ),
                    "param_name" => "builtit_tab_type",
                    "value" => array( 
                        esc_html__( "Horizontal Tab", "built-it" ) => "builtit-tab-vertical",
                        esc_html__( "Vertical Tab", "built-it" ) => "builtit-tab-horizontal",
                    ),
					"edit_field_class" => "vc_col-xs-6",		
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Tab Style", "built-it" ),
                    "param_name" => "builtit_tab_style",
                    "value" => array( 
                        esc_html__( "Tab Style 1", "built-it" ) => "builtit-tab-style1",
                        esc_html__( "Tab Style 2", "built-it" ) => "builtit-tab-style2",
						esc_html__( "Tab Style 3", "built-it" ) => "builtit-tab-style3",
                    ),
					"edit_field_class" => "vc_col-xs-6",		
				),
				array(
					"type" => "param_group",
					"param_name" => "builtit_tab_loop",
					"heading" => esc_html__("Add Tab", "built-it"),
					"params" => array(
						array( 
							"type" => "textfield",
							"param_name" => "builtit_tab_tittle",
							"heading" => esc_html__("Title", "built-it"),
							"value" =>"",
						), 
						array(
							"type" => "textarea_raw_html", 
							"param_name" => "builtit_tab_desc",
							"heading" => esc_html__("Description", "built-it"), 
							"value" =>"",
						),
					)
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Font Size", "built-it"),
					"param_name" => "builtit_tab_font",
					"group" => esc_html__("Tab Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Line Height", "built-it"),
					"param_name" => "builtit_tab_line",
					"group" => esc_html__("Tab Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Border Width", "built-it"),
					"param_name" => "builtit_tab_b_width",
					"group" => esc_html__("Tab Style", "built-it"),
					"edit_field_class" => "vc_col-xs-6",
					"dependency" => array(
		                "element" => "builtit_tab_style",
						"value" => array(
							"builtit-tab-style2",
						)
	                ),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Tab Tittle Font Weight", "built-it" ),
                    "param_name" => "builtit_tab_f_weight",
					"group" => esc_html__("Tab Style", "built-it"),			
                    "value" => array(  
                        esc_html__( "100", "built-it" ) => "100",
						esc_html__( "200", "built-it" ) => "200",
						esc_html__( "300", "built-it" ) => "300",
						esc_html__( "400", "built-it" ) => "400",
						esc_html__( "500", "built-it" ) => "500",
						esc_html__( "600", "built-it" ) => "600",
						esc_html__( "700", "built-it" ) => "700",
						esc_html__( "800", "built-it" ) => "800",
						esc_html__( "900", "built-it" ) => "900",
                    ),
					"edit_field_class" => "vc_col-xs-6",
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_tab_b_style",
					"group" => esc_html__("Tab Style", "built-it"),				
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ),
					"edit_field_class" => "vc_col-xs-6",
					"dependency" => array(
		                "element" => "builtit_tab_style",
						"value" => array(
							"builtit-tab-style2",
						)
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Tab Tittle Transform", "built-it" ),
                    "param_name" => "builtit_tab_transform",
					"group" => esc_html__("Tab Style", "built-it"),			
                    "value" => array(  
                        esc_html__( "Capitalize", "built-it" ) => "capitalize",
                        esc_html__( "Uppercase", "built-it" ) => "uppercase",
						esc_html__( "Lowercase", "built-it" ) => "lowercase",
                    ),
					"edit_field_class" => "vc_col-xs-6",		  
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Letter Spacing", "built-it"),
					"param_name" => "builtit_tab_l_spacing",
					"group" => "Tab Style",
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("Enter numeric value here."),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Text Color", "built-it"),
					"param_name" => "builtit_tab_color",
					"group" => esc_html__("Tab Style", "built-it"),
					"edit_field_class" => "vc_col-xs-12",
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Background", "built-it"),
					"param_name" => "builtit_tab_bg",
					"group" => esc_html__("Tab Style", "built-it"),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Border Color", "built-it"),
					"param_name" => "builtit_tab_border",
					"group" => esc_html__("Tab Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_tab_style",
						"value" => array(
							"builtit-tab-style2",
						)
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Hover Color", "built-it"),
					"param_name" => "builtit_tab_h_color",
					"group" => esc_html__("Tab Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Hover Background", "built-it"),
					"param_name" => "builtit_tab_h_bg", 
					"group" => esc_html__("Tab Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Tab Tittle Hover Border Color", "built-it"),
					"param_name" => "builtit_tab_h_border",
					"group" => esc_html__("Tab Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_tab_style",
						"value" => array(
							"builtit-tab-style2",
						)
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Additional Color", "built-it"),
					"param_name" => "builtit_tab_ad_color",
					"group" => "Tab Style", 
					"dependency" => array(
		                "element" => "builtit_tab_style",
						"value" => array(
							"builtit-tab-style1",
						)
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Box-shadow", "built-it"),
					"param_name" => "builtit_tab_shadow",
					"group" => "Tab Style",
					"edit_field_class" => "vc_col-xs-6",
					"description" => esc_html__("You can change default values according to your need." , "built-it"),
					"dependency" => array(
		                "element" => "builtit_tab_style",
						"value" => array(
							"builtit-tab-style3",
						)
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Tab Alignment", "built-it" ),
                    "param_name" => "builtit_tab_align",
					"group" => "Tab Style",					
                    "value" => array(  
                        esc_html__( "Left", "built-it" ) => "flex-start",
                        esc_html__( "Center", "built-it" ) => "center",
						esc_html__( "Right", "built-it" ) => "flex-end", 
                    ),
					"edit_field_class" => "vc_col-xs-6",	
					"dependency" => array(
		                "element" => "builtit_tab_type",
						"value" => "builtit-tab-vertical",
	                ),
				),
		    ),
	    ) 
	);
	