<?php 
/**
* Team
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} 
	 vc_map( array(
		"name" => esc_html__( "Team", "built-it" ),
		"base" => "builtit_team",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"icon"	 => esc_url($icon_path.'/team.png'),
		"params" => array( 
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Team Style", "built-it" ),
                    "param_name" => "builtit_team_style",
                    "value" => array( 
                        esc_html__( "Team Style 1", "built-it" ) => "builtit-team-style1",
                        esc_html__( "Team Style 2", "built-it" ) => "builtit-team-style2",
						esc_html__( "Team Style 3", "built-it" ) => "builtit-team-style3",
						esc_html__( "Team Style 4", "built-it" ) => "builtit-team-style4",
						
                    ),
				),
				array(
					"type" => "attach_image",
					"value" =>"", 
					"heading" => esc_html__("Team Member Image", "built-it"),
					"param_name" => "builtit_team_img",
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Name", "built-it"),
					"param_name" => "builtit_team_name",
					"edit_field_class" => "vc_col-xs-6",	
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Designation", "built-it"),
					"param_name" => "builtit_team_pos",
					"edit_field_class" => "vc_col-xs-6",	
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Eamil", "built-it"),
					"param_name" => "builtit_team_email",
					"edit_field_class" => "vc_col-xs-6",	
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Phone", "built-it"),
					"param_name" => "builtit_team_phone",
					"edit_field_class" => "vc_col-xs-6",	
				),
				array(
					"type" => "param_group",
					"param_name" => "builtit_team_sloop",
					"heading" => esc_html__("Tab Tittle", "built-it"),
					"params" => array(
						array( 
							"type" => "iconpicker",   
							"value" =>"", 
							"heading" => __("Select Icon", "built-it"),
							"param_name" => "builtit_team_sicon",
							),
						array(
							"type" => "textfield",
							"value" =>"", 
							"heading" => esc_html__("Social Link", "built-it"),
							"param_name" => "builtit_team_link",
						),
					)
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Box Color", "built-it"),
					"param_name" => "builtit_team_box_color",
					"group" => esc_html__("Team Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_team_style", 
						"value" =>  array(
							"builtit-team-style1",
							"builtit-team-style2",  
							"builtit-team-style4", 
						),
	                ),
				),
				array( 
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Name Text Color", "built-it"),
					"param_name" => "builtit_team_ncolor",
					"group" => esc_html__("Team Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Designation Text Color", "built-it"),
					"param_name" => "builtit_team_pcolor",
					"group" => esc_html__("Team Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Contact Info Color", "built-it"),
					"param_name" => "builtit_team_c_info", 
					"group" => esc_html__("Team Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Social Icon Color", "built-it"),
					"param_name" => "builtit_team_social_c",
					"group" => esc_html__("Team Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Social Icon Background", "built-it"),
					"param_name" => "builtit_team_social_bg",
					"group" => esc_html__("Team Style", "built-it"),
				),
				array(
					"type" => "colorpicker", 
					"value" =>"", 
					"heading" => esc_html__("Overlay Color", "built-it"),
					"param_name" => "builtit_team_overlay_bg",
					"group" => esc_html__("Team Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_team_style", 
						"value" =>  array(
							"builtit-team-style2",
							"builtit-team-style3",  
						),
	                ),
				),
				array(
					"type" => "colorpicker", 
					"value" =>"", 
					"heading" => esc_html__("Addition Color", "built-it"),
					"param_name" => "builtit_team_addition_bg",
					"group" => esc_html__("Team Style", "built-it"),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Hover", "built-it"),
					"param_name" => "builtit_team_hover",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Team Style", "built-it"),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Contact Info Hover Color", "built-it"),
					"param_name" => "builtit_team_c_info_h",
					"group" => esc_html__("Team Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_team_hover", 
						"value" =>  "true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Social Icon Hover Color", "built-it"),
					"param_name" => "builtit_team_social_hc",
					"group" => esc_html__("Team Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_team_hover", 
						"value" =>  "true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Social Icon Hover Background", "built-it"),
					"param_name" => "builtit_team_social_hbg",
					"group" => esc_html__("Team Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_team_hover", 
						"value" =>  "true",
	                ),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Border", "built-it"),
					"param_name" => "builtit_team_border_s",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"group" => esc_html__("Team Style", "built-it"),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Border", "built-it"),
					"param_name" => "builtit_team_border",
					"group" => esc_html__("Border Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_team_border_s", 
						"value" =>  "true",
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Border Style", "built-it" ),
                    "param_name" => "builtit_team_border_style",
                    "value" => array( 
						esc_html__( "Select", "built-it" ) => "",
                        esc_html__( "Solid", "built-it" ) => "solid",
						esc_html__( "Dotted", "built-it" ) => "dotted",
						esc_html__( "Dashed", "built-it" ) => "dashed",
						esc_html__( "Double", "built-it" ) => "double",
                    ),
					"group" => esc_html__("Border Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_team_border_s", 
						"value" =>  "true",
	                ),
				), 
								
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Border Color", "built-it"),
					"param_name" => "builtit_team_border_color",					
					"group" => esc_html__("Border Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_team_border_s", 
						"value" =>  "true",
	                ),
				),
				array(
					"type" => "textfield", 
					"value" =>"",  
					"heading" => esc_html__("Border Radius", "built-it"),
					"param_name" => "builtit_team_border_r",
					"group" => esc_html__("Border Style", "built-it"),
					"description" => esc_html__("You can change each of the number individually like 5px 10px 5px 10px or 10px 15px or 10px."),
					"dependency" => array(
		                "element" => "builtit_team_border_s", 
						"value" =>  "true",
	                ),
				),
				array(
					"type" => "textfield",
					"value" => "", 
					"heading" => esc_html__("Box Shadow", "built-it"),
					"param_name" => "builtit_team_box_shw",
					"group" => esc_html__("Border Style", "built-it"),
					"description" => esc_html__("You can change default values according to your need. example : 0px 0px 0px 5px rgb(105 67 255 / 15%)"),
					"dependency" => array(
		                "element" => "builtit_team_border_s", 
						"value" =>  "true",
	                ),
				),
				
		    ),
	    ) 
	);
	 
	