<?php 
/**
* Testimonials
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}  
	 vc_map( array(
		"name" => esc_html__( "Testimonials", "built-it" ),
		"base" => "builtit_testimonials",
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"as_parent" => array("only" => "builtit_testimonials_item"),
		"icon"	 => esc_url($icon_path.'/testimonial.png'),
		"js_view" => "VcColumnView",
		"params" => array(
		        array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Testimonials View", "built-it" ),
                    "param_name" => "builtit_testi_layout",
                    "value" => array( 
                        esc_html__( "Grid", "built-it" ) => "builtit-testi-grid",
                        esc_html__( "Slider", "built-it" ) => "builtit-testi-Slider",
                    ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Testimonials style", "built-it" ),
                    "param_name" => "builtit_testi_view",
                    "value" => array( 
                        esc_html__( "Style 1", "built-it" ) => "builtit-testimonial-style",
                        esc_html__( "Style 2", "built-it" ) => "builtit-testimonial-style2",
						esc_html__( "Style 3", "built-it" ) => "builtit-testimonial-style3",
						esc_html__( "Style 4", "built-it" ) => "builtit-testimonial-style4",
						esc_html__( "Style 5", "built-it" ) => "builtit-testimonial-style5",
                    ),
                    "dependency" => array(
		                "element" => "builtit_testi_layout",
				        "value" =>"builtit-testi-Slider",
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Select Testimonials style", "built-it" ),
                    "param_name" => "builtit_testi_view_grid",
                    "value" => array( 
                        esc_html__( "Style 1", "built-it" ) => "builtit-testimonial-style",
                        esc_html__( "Style 2", "built-it" ) => "builtit-testimonial-style2",
						esc_html__( "Style 3", "built-it" ) => "builtit-testimonial-style3",
						esc_html__( "Style 4", "built-it" ) => "builtit-testimonial-style4",
						esc_html__( "Style 5", "built-it" ) => "builtit-testimonial-style5",
                    ),
                    "dependency" => array(
		                "element" => "builtit_testi_layout",
				        "value" =>"builtit-testi-grid",
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Column", "built-it" ),
                    "param_name" => "builtit_testi_column", 
                    "value" => array( 
                        esc_html__( "Column 1", "built-it" ) => "1",
                        esc_html__( "Column 2", "built-it" ) => "2",
                        esc_html__( "Column 3", "built-it" ) => "3",
						esc_html__( "Column 4", "built-it" ) => "4",
                    ),
                    "dependency" => array(
		                "element" => "builtit_testi_view",
				        "value" =>  array(
							"builtit-testimonial-style2",
							"builtit-testimonial-style3",
							"builtit-testimonial-style4",
						)
	                ),
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Column", "built-it" ),
                    "param_name" => "builtit_testi_column_grid", 
                    "value" => array( 
                        esc_html__( "Column 1", "built-it" ) => "1",
                        esc_html__( "Column 2", "built-it" ) => "2",
                        esc_html__( "Column 3", "built-it" ) => "3",
						esc_html__( "Column 4", "built-it" ) => "4",
                    ),
                    "dependency" => array(
		                "element" => "builtit_testi_view_grid",
				        "value" =>  array(
				            "builtit-testimonial-style",
							"builtit-testimonial-style2",
							"builtit-testimonial-style3",
							"builtit-testimonial-style4",
							"builtit-testimonial-style5",
						)
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Additional Color", "built-it"),
					"param_name" => "builtit_testi_ad_color",
					"dependency" => array(
		                "element" => "builtit_testi_view",
						"value" =>"builtit-testimonial-style3",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Custom Class", "built-it"),
					"param_name" => "builtit_class", 
				),
				array(
					"type" => "dropdown",
                    "heading" => esc_html__( "Navigation", "built-it" ),
                    "param_name" => "builtit_testi_nav",
					"group" => esc_html__("Slider Style", "built-it"),
                    "value" => array(  
                        esc_html__( "None", "built-it" ) => "",
                        esc_html__( "Arrows", "built-it" ) => "arrows",
						esc_html__( "Bullets", "built-it" ) => "bullets",
                    ),	
                    "dependency" => array(
		                "element" => "builtit_testi_layout",
				        "value" =>"builtit-testi-Slider",
	                ),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Autoplay ", "built-it"),
					"group" => esc_html__("Slider Style", "built-it"),
					"param_name" => "builtit_testi_autoplay",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_testi_layout",
				        "value" =>"builtit-testi-Slider",
	                ),
				),
				array(
					"type" => "checkbox",
					"heading" => esc_html__("Loop ", "built-it"),
					"group" => esc_html__("Slider Style", "built-it"),
					"param_name" => "builtit_testi_loop",
					"value" => array(esc_html__("Yes", "built-it") => "true"),
					"dependency" => array(
		                "element" => "builtit_testi_layout",
				        "value" =>"builtit-testi-Slider",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Speed", "built-it"),
					"param_name" => "builtit_testi_speed", 
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_testi_autoplay",
				        "value" =>"true",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Active Bullet Color", "built-it"),
					"param_name" => "builtit_testi_bullet",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_testi_nav",
						"value" =>"bullets",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Inactive Bullet Color", "built-it"),
					"param_name" => "builtit_testi_inac_bullet",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_testi_nav",
						"value" =>"bullets",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Color", "built-it"),
					"param_name" => "builtit_testi_arro_color",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_testi_nav",
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Background Color", "built-it"),
					"param_name" => "builtit_testi_arro_bg",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_testi_nav",
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Hover Color", "built-it"),
					"param_name" => "builtit_testi_arro_hcolor",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_testi_nav",
						"value" =>"arrows",
	                ),
				),
				array(
					"type" => "colorpicker",
					"value" =>"", 
					"heading" => esc_html__("Arrows Hover Background Color", "built-it"),
					"param_name" => "builtit_testi_arro_hbg",
					"group" => esc_html__("Slider Style", "built-it"),
					"dependency" => array(
		                "element" => "builtit_testi_nav",
						"value" =>"arrows",
	                ),
				),
		    ),
	    ) 
	);
	
	vc_map( array(
		"name" => esc_html__( "Add Testimonial", "built-it" ),
		"base" => "builtit_testimonials_item",
		"content_element" => true,
		"category" => esc_html__("Built It Shortcodes","built-it"), 
		"as_child" => array("only" => "builtit_testimonials"),
		"icon"	 => esc_url($icon_path.'/testimonial.png'),
		"params" => array(
				array(
					"type" => "attach_image", 
					"value" =>"", 
					"heading" => esc_html__("Image", "built-it"),
					"param_name" => "builtit_testi_img",
					"dependency" => array(
		                "element" => "builtit_features_type",
						"value" =>"image",
	                ),
				),
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Author Name", "built-it"),
					"param_name" => "builtit_testi_author_n",
					"edit_field_class" => "vc_col-xs-12",	
				), 
				array(
					"type" => "textfield",
					"value" =>"", 
					"heading" => esc_html__("Author Position", "built-it"),
					"param_name" => "builtit_testi_author_p",
					"edit_field_class" => "vc_col-xs-12",	
				), 
				array(
					"type" => "textarea",
					"value" =>"", 
					"heading" => esc_html__("Testimonial", "built-it"),
					"param_name" => "builtit_testi_testi",
					"edit_field_class" => "vc_col-xs-12",	
				),
		    ),
	    ) 
	);
	
	
	if ( class_exists( "WPBakeryShortCodesContainer" ) ) {
		class WPBakeryShortCode_builtit_testimonials extends WPBakeryShortCodesContainer {
		}
	}
	if ( class_exists( "WPBakeryShortCode" ) ) {
		class WPBakeryShortCode_builtit_testimonials_item extends WPBakeryShortCode {
		}
	}